#SPDX-License-Identifier: GPL-2.0-only
ifeq ($(call is-board-platform-in-list, $(MSMSTEPPE) msmnile gen4), true)
# Drivers for both Metal and GVM
    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/wallpower_charger.ko
    BOARD_VENDOR_RAMDISK_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/wallpower_charger.ko
    BOARD_VENDOR_RAMDISK_RECOVERY_KERNEL_MODULES_LOAD += $(KERNEL_MODULES_OUT)/wallpower_charger.ko
    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/boot_marker.ko

ifeq (,$(filter msmnile_gvmq gen4_gvm gen4_hgy gen4_gvm_gy, $(TARGET_BOARD_PLATFORM)$(TARGET_BOARD_SUFFIX)))
# Drivers for Metal only

    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/aop-set-ddr.ko
    BOARD_VENDOR_RAMDISK_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/aop-set-ddr.ko
    BOARD_VENDOR_RAMDISK_RECOVERY_KERNEL_MODULES_LOAD += $(KERNEL_MODULES_OUT)/aop-set-ddr.ko

    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/silent_boot.ko
    BOARD_VENDOR_RAMDISK_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/silent_boot.ko
    BOARD_VENDOR_RAMDISK_RECOVERY_KERNEL_MODULES_LOAD += $(KERNEL_MODULES_OUT)/silent_boot.ko

    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/silent-mode-hw-monitoring.ko
    BOARD_VENDOR_RAMDISK_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/silent-mode-hw-monitoring.ko
    BOARD_VENDOR_RAMDISK_RECOVERY_KERNEL_MODULES_LOAD += $(KERNEL_MODULES_OUT)/silent-mode-hw-monitoring.ko

    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/dump_boot_log.ko
    BOARD_VENDOR_RAMDISK_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/dump_boot_log.ko
    BOARD_VENDOR_RAMDISK_RECOVERY_KERNEL_MODULES_LOAD += $(KERNEL_MODULES_OUT)/dump_boot_log.ko

    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/s2r_wakeup_marker.ko
    BOARD_VENDOR_RAMDISK_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/s2r_wakeup_marker.ko
    BOARD_VENDOR_RAMDISK_RECOVERY_KERNEL_MODULES_LOAD += $(KERNEL_MODULES_OUT)/s2r_wakeup_marker.ko

    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/subsystem_status.ko
    BOARD_VENDOR_RAMDISK_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/subsystem_status.ko
    BOARD_VENDOR_RAMDISK_RECOVERY_KERNEL_MODULES_LOAD += $(KERNEL_MODULES_OUT)/subsystem_status.ko

    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/mem-online.ko
    BOARD_VENDOR_RAMDISK_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/mem-online.ko
    BOARD_VENDOR_RAMDISK_RECOVERY_KERNEL_MODULES_LOAD += $(KERNEL_MODULES_OUT)/mem-online.ko
else
# Drivers for GVM only
    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/socinfo_dt.ko
    BOARD_VENDOR_RAMDISK_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/socinfo_dt.ko
    BOARD_VENDOR_RAMDISK_RECOVERY_KERNEL_MODULES_LOAD += $(KERNEL_MODULES_OUT)/socinfo_dt.ko

ifneq ($(TARGET_USES_GY), true)
    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/subsystem_notif_virt.ko
    BOARD_VENDOR_RAMDISK_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/subsystem_notif_virt.ko
    BOARD_VENDOR_RAMDISK_RECOVERY_KERNEL_MODULES_LOAD += $(KERNEL_MODULES_OUT)/subsystem_notif_virt.ko

    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/vm-cpufreq.ko
    BOARD_VENDOR_RAMDISK_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/vm-cpufreq.ko
    BOARD_VENDOR_RAMDISK_RECOVERY_KERNEL_MODULES_LOAD += $(KERNEL_MODULES_OUT)/vm-cpufreq.ko
endif

ifeq ($(TARGET_HAS_VIRTIO_FASTRPC), true)
    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/vfastrpc.ko
endif

ifeq ($(TARGET_HAS_HYBRID_FASTRPC), true)
    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/hfastrpc.ko
endif

endif
endif

# Drivers for Talos only
ifeq ($(call is-board-platform-in-list,sm6150), true)
ifeq (,$(filter $(TARGET_BOARD_PLATFORM)$(TARGET_BOARD_SUFFIX), sm6150_gvmq))
    BOARD_VENDOR_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/adsp_vote_smp2p.ko
    BOARD_VENDOR_RAMDISK_KERNEL_MODULES += $(KERNEL_MODULES_OUT)/adsp_vote_smp2p.ko
    BOARD_VENDOR_RAMDISK_RECOVERY_KERNEL_MODULES_LOAD += $(KERNEL_MODULES_OUT)/adsp_vote_smp2p.ko

endif
endif
